<?php

require_once __DIR__ . '/ExpayBaseEvent.php';

class ExpayEventCheck extends ExpayBaseEvent {
  public function handle($event) {
    if (!$this->isHashValid($event)) {
      $this->sendResponse(401, 'Invalid hash');
      return false;
    }

    if (!$this->isOrderValid($event)) {
      $this->sendResponse(475, 'Payment with the specified parameters can not be processed');
      return false;
    }

    $amount_matches = $this->amountMatching($event);
    $order_canceled = $this->isOrderCanceled();
    if (!$amount_matches || $order_canceled) {
      $this->sendResponse(475, 'Payment with the specified parameters can not be processed');
      return false;
    }

    watchdog('EPS Webhooks', 'Check of order#' . $this->order->order_id . ' was successful', null, WATCHDOG_INFO);

    $this->sendResponse(270, 'account exist');
    return true;
  }
}

