<?php

class ExpayEventHandler {
  public function handle($event, $order, $provider) {
    if (!isset($event['method'])) {
      sendResponseToInvalidRequest($provider);
      return false;
    }

    switch ($event['method']) {
      case 'check':
        watchdog('EPS Webhooks', 'event CHECK (order#' . $event['order'] . ') has been caught.', null, WATCHDOG_INFO);
        $expay_event = new ExpayEventCheck($order, $provider);
        break;

      case 'pay':
        watchdog('EPS Webhooks', 'event PAY (order#' . $event['order'] . ') has been caught.', null, WATCHDOG_INFO);
        $expay_event = new ExpayEventPay($order, $provider);
        break;

      default:
        sendResponseToInvalidRequest($provider);
        return false;
    }

    return $expay_event->handle($event);
  }
}
